Subject: Re: bug#52530: [PATCH core-updates-frozen] WIP: Add rust-gtk4 and dependencies

From: Nicholas von Klitzing <[email-masked]>
Date: Sat, 08 Jan 2022 09:10:33 +0000

Hi Maxim,

I was looking reading through the Guix Contributing guide and found that several of the recommendations are not being used by many packages.

For example, many of the packaged rust crates only have a one-line synopsis and a one-line description, where the description is basically just the synopsis with a few extra verbs added.

Is the style mentioned above acceptable or would you recommend I do something else?

Best,
Nicholas

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Sunday, December 19th, 2021 at 4:42 AM, Maxim Cournoyer <[email-masked]> wrote:

> Hi Nicholas,
>
> Nicholas von Klitzing [email-masked] writes:
>
> > Hello Guix!
> >
> > These are my WIP patches to add the gtk4 crates. Several Gnome and Gtk applications depend on this crate (Authenticator, Fractal, Shortwave, etc).
> >
> > I based the patches on c-u-f because the master branch isn't building on my machine for unrelated reasons I have yet to explore. Regardless, there should be no conflicts.
> >
> > Several of the dependency package definitions are unedited from `guix import`, so please do let me know if you think I should change them.
>
> Yes, the packages need a proper synopsis and description (stylized with
>
> Texinfo) for inclusion. Make sure 'guix lint' is happy with them as
>
> well, and have a read at info '(guix)Contributing', particularly the
>
> 'Synopses andDescriptions' subsection.
>
> Thank you!
>
> Maxim